<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>My Projects</title>
    </head>
    <body>
        <header>
            <nav>
                {% if user.is_authenticated %}
                    <ul>
                        <li>
                            <a href="{% url 'show_my_tasks' %}">My tasks</a>
                        </li>
                        <li>
                            <a href="{% url 'list_projects' %}">My projects</a>
                        </li>
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    </ul>
                {% else %}
                    <ul>
                        <li>
                            <a href="{% url 'login' %}">Login</a>
                        </li>
                        <li>
                            <a href="{% url 'signup' %}">Signup</a>
                        </li>
                    </ul>
                {% endif %}
            </nav>
        </header>
        <main>
            <div>
                <h1>My Projects</h1>
                <div>
                    <p>
                        <a href="{% url 'create_project' %}">Create a new project</a>
                    </p>
                </div>
                {% if all_the_lists|length < 1 %}
                    <p>You are not assigned to any projects</p>
                {% else %}
                    <table>
                        <tr>
                            <thead>
                                <tr>
                                    <th>Name</th>
                                    <th>Number of tasks</th>
                                </tr>
                            </thead>
                            <tbody>
                                {% for single_project in all_the_lists %}
                                    <tr>
                                        <td>
                                            <a href="{% url 'show_project' single_project.id %}">{{ single_project.name }}</a>
                                        </td>
                                        <td>
                                            {{ single_project.tasks.all|length }}
                                        </tr>
                                    {% endfor %}
                                </tbody>
                            </tr>
                        </table>
                    {% endif %}
                </div>
            </main>
        </body>
    </html>
